> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saleprobability

> MDO list provider for the probability list of the Sale dialog. This list extends the basic <see cref="!:ProbRow" /> list with a leading 'lost' and a trailing 'sold' item, and specialized icons. It also adds the probability as part of the text, and again in the extraInfo field.

## "saleprobability" MDO List

MDO list provider for the probability list of the Sale dialog. This list extends the basic <see cref="!:ProbRow" /> list with a leading
'lost' and a trailing 'sold' item, and specialized icons. It also adds the probability as part of the text, and again
in the extraInfo field.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SaleProbability">SaleProbability</see> class.
The name of the MDO list is 'saleprobability'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saleprobability
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saleprobability", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                     | StyleHint | ExtraInfo |
| -- | ------------------------ | --------- | --------- |
| -1 | Lost                     |           | 0         |
| 5  | Andre møte (50%)         |           | 50        |
| 4  | Første møte (20%)        |           | 20        |
| 3  | Muntlig aksept (90%)     |           | 90        |
| 1  | Sendt tilbud (30%)       |           | 30        |
| 2  | Sluttforhandlinger (80%) |           | 80        |
| -2 | Sold                     |           | 100       |

## Related MDO Lists

* "saleprobabilityheadings"
* "saleprobabilityheadingswithallitem"
* "saleprobabilityheadingswithallitemwithnoselection"
* "saleprobabilityheadingswithnoselection"
* "saleprobabilitywithallitem"
* "saleprobabilitywithallitemwithnoselection"
* "saleprobabilitywithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [Post News Feed Item](/en/api/reference/restful/rest/newsfeeditem/post-news-feed-item.md)
- [Get News Feed Item](/en/api/reference/restful/rest/newsfeeditem/get-news-feed-item.md)
- [Create Default News Feed Item](/en/api/reference/restful/agent/newsfeed_agent/create-default-news-feed-item.md)
- [Pick Up First Chat Session](/en/api/reference/restful/agent/chat_agent/pick-up-first-chat-session.md)
